# $Id: Makefile.PL 368 2004-07-12 22:59:24Z sungo $

use ExtUtils::MakeMaker;
use File::Find;

my @tests;
sub wanted { /\.t$/ && push @tests, $_ }
find({ wanted => \&wanted, no_chdir => 1 }, 't');
@tests = sort @tests;

WriteMakefile(
    NAME => 'POE::Example::SimpleQueryString',
    AUTHOR => 'Matt Cashner (sungo@pobox.com)',
    VERSION_FROM => 'VERSION',
    PREREQ_PM => {
        'POE'           => 0,
        'Test::More'    => 0,
    },
    test => {
        TESTS => join " ", @tests
    },
    dist => {
        PREOP => 'svn log > ${DISTVNAME}/Changes',
    },
);
